Skip to main content
GET
/
v2
/
account
/
beneficiaries
/
bank-accounts
/
usd
List USD bank-account beneficiaries
curl --request GET \
  --url https://api.example.com/v2/account/beneficiaries/bank-accounts/usd/ \
  --header 'Authorization: Bearer <token>'
{
  "beneficiaryUsdBankAccount": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alias": "<string>",
      "description": "<string>",
      "bankAccountNumber": "<string>",
      "bankRoutingNumber": "<string>",
      "bankBeneficiaryName": "<string>",
      "bankBeneficiaryAddress": {
        "streetLine1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postalCode": "<string>",
        "country": "<string>",
        "streetLine2": "<string>"
      },
      "bankName": "<string>",
      "bankAddress": {
        "streetLine1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "postalCode": "<string>",
        "country": "<string>",
        "streetLine2": "<string>"
      },
      "firstName": "<string>",
      "lastName": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

cursor
string
alias
string

Response

OK

beneficiaryUsdBankAccount
object[]
cursor
string